#ifndef _INTERFACE_H_
#define _INTERFACE_H_

#include "../config.h"
#include <stdint.h>
#include <memory>

class Device
{
	public: 
		Device(); 
		~Device(); 
		void printNumber(const uint8_t& no); 

	private:
		struct deviceImpl; 
		std::unique_ptr<deviceImpl> pImpl; 
};



#endif // _INTERFACE_H_
